
QGIS Application - Bug report #684

Classification Field empty for delimited text layers

2007-03-26 04:12 AM - anonymous -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10743

Description

Load a .csv file using the delimited text plugin, then try and colour it using Graduated Symbol or Continuous Color in the Layer Properties

dialog - the Classification Field is empty.

Interesting - the classification field shows attribute names for the 'Unique Value' type so its doing something right and something wrong....

Maybe this is related to the attribute changes made recently and the use of QVariant types...

History

#1 - 2007-03-26 04:45 AM - anonymous -

Ah ha, continuous colour and graduated symbol dialogs only list numeric fields, but the delimited text provider doesn't report fields as numeric....

#2 - 2007-04-17 12:53 PM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:e08418b0 (SVN r6894).

#3 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted
